Loading...
Searching...
No Matches
RokuSearchParams Struct Reference

Information about a Roku search to be performed. More...

`#include <rokuecp.h>`

## Public Types

enum | { MOVIE , SHOW , PERSON , APP , GAME , NONE }

## Data Fields

enum RokuSearchParams:: { ... } | type
| Roku search filter (movie, TV show, person, app, game, or none).
bool | includeUnavailable
| true if results that are unavailable in your region should still be included
char | tmsID [15]
| TMS ID of the movie or show to search for, 14 characters.
unsigned short | season
| season of the show to search for
bool | autoSelect
| true if the first result should automatically be selected
bool | autoLaunch
| true if the first provider in providerIDs with a result found should be launched automatically
char | providerIDs [14][8]
| array of up to 8 Roku app IDs (up to 13 characters) for providers to look for results from (like "12" for Netflix)

## Detailed Description

Information about a Roku search to be performed.

All fields are optional.

The documentation for this struct was generated from the following file:

- rokuecp.h